/**
 *  自定义控件书写模板
 */
(function(KDApi){
    // 构造函数，变量名随意，与最后一句代码的KDApi.register的第二个参数一致即可
    function HelloWorld (model) {
        this._setModel(model)
    }

    // 原型中封装生命周期函数，固定格式
    HelloWorld.prototype = {
        _setModel: function(model) {
            this.model = model
        },
        init: function(props){
            // TO DO
            initFunc(this.model, props)
        },
        update: function(props){
            // TO DO
        },
        destoryed: function(){
            // TO DO
        }
    }

    // Other Code
    var initFunc = function(model, props) {
    // KDApi.loadFile可以通过路径加载js或css文件，并且在html文件头生成script或者link标签，第一个参数是路径，第二个参数是model，第三个参数是加载完成后执行的回调函数
    KDApi.loadFile(['./css/ertripslide.css','./js/ertripslide.js'], model, function() {
        // 通过路径去获取html字符串，第一个参数是路径，第二个参数是model，第三个参数是HTML模板中变量的值
        KDApi.getTemplateStringByFilePath('./html/ertripslide.html', model, {
            text: 'Hello, World!'
        }).then(function(result) {
            model.dom.innerHTML = result
			// 绑定DOM事件
            initEvent(model, props)
        })        
    })
}

    // 你只需知道第一个参数是你接下来要新增控件方案时填的方案id，第二个参数是上面声明的构造函数
    KDApi.register('kingdee-fi-tripslide', HelloWorld)
})(window.KDApi)// 这里的jQuery不是必须要传进去的，可移除，要用到的时候才传，PC端系统默认会有jQuery对象，版本是1.12.4
